Subject: Re: [PATCH v2] futex_waitv.2: new page

From: Alejandro Colomar <[email-masked]>
Date: Tue, 10 Feb 2026 15:30:59 +0100

Hi!

On 2026-02-10T15:17:55+0100, наб wrote:
> Hi!
> 
> On Mon, Feb 09, 2026 at 11:35:53PM +0100, Alejandro Colomar wrote:
> > On 2026-02-07T23:00:49+0100, наб wrote:
> > > Signed-off-by: Ahelenia Ziemiańska <[email-masked]>
> > 
> > For some reason, the patch doesn't want to apply.  I don't see anything
> > obviously wrong, so it may be an issue in my side?
> > 
> > 	Applying: futex_waitv.2: new page
> > 	error: affected file 'man2/futex_waitv.2' is beyond a symbolic link
> > 	error: man7/futex.7: does not exist in index
> > 	Patch failed at 0001 futex_waitv.2: new page
> > 	hint: Use 'git am --show-current-patch=diff' to see the failed patch
> > 	hint: When you have resolved this problem, run "git am --continue".
> > 	hint: If you prefer to skip this patch, run "git am --skip" instead.
> > 	hint: To restore the original branch and stop patching, run "git am --abort".
> > 	hint: Disable this message with "git config set advice.mergeConflict false"
> > 	Press any key to continue...
> 
> Hm, I did recently set
>   $ git config diff.noprefix
>   true
> I didn't expect this to affect format-patch diffs
> (since it doesn't affect diffs shown by git add -p),
> or, if it did, I expected the designated consumer of format-patch
> diffs (am) to understand this. perhaps not;
> maybe -p0 to git am?
> 
> A quick search yields
>   https://lore.kernel.org/git/[email-masked]/t/#eaa0323ec4eed441b37caf96e1b136529b298dbac
> where you're in the thread and the maintainer says "queued" for a patch
> that would ignore noprefix for format-patch for this reason precisely.
> But clearly not, since my patches were with noprefix=true and came out -p0.

Oh, that bites again!

Junio, do you still have this queued?
<https://lore.kernel.org/git/[email-masked]/t/#m6f42ff4f0cb2d6dd1d68f12a533d04c822b68a80>

Have a lovely day!
Alex

> Best,

-- 
<https://www.alejandro-colomar.es>